import os
import pandas as pd

# 코드 파일들이 저장된 디렉토리 경로
directory_path = 'C:\\Users\\user\\projects\\myproject'

# 코드 블록들을 저장할 리스트
code_blocks = []

# 디렉토리 내의 모든 파일을 읽음
for filename in os.listdir(directory_path):
    if filename.endswith('.py'):  # .py 파일만 읽음
        file_path = os.path.join(directory_path, filename)
        with open(file_path, 'r', encoding='utf-8') as file:
            code = file.read()
        code_blocks.append({
            "name": filename,
            "code": code
        })

# pandas DataFrame으로 변환
df = pd.DataFrame(code_blocks)

# CSV 파일로 저장 (F 드라이브에 저장하도록 경로 수정)
csv_path = 'F:\\code_blocks.csv'
df.to_csv(csv_path, index=False, encoding='utf-8')

print(f"CSV 파일이 성공적으로 {csv_path}에 저장되었습니다!")
