document.addEventListener("DOMContentLoaded", function() {
    const ctx = document.getElementById('stockChart').getContext('2d');
    const socket = io.connect(location.protocol + '//' + document.domain + ':' + location.port);

    let chart;

    socket.on('updateData', function(data) {
        const dates = data.map(item => item.date);
        const prices = data.map(item => item.price);

        if (chart) {
            chart.destroy();
        }

        chart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: dates,
                datasets: [{
                    label: 'Stock Price',
                    data: prices,
                    borderColor: 'rgba(75, 192, 192, 1)',
                    backgroundColor: 'rgba(75, 192, 192, 0.2)',
                }]
            },
            options: {
                responsive: true,
                scales: {
                    x: {
                        display: true,
                        title: {
                            display: true,
                            text: 'Date'
                        }
                    },
                    y: {
                        display: true,
                        title: {
                            display: true,
                            text: 'Price'
                        }
                    }
                }
            }
        });
    });

    document.getElementById('startButton').addEventListener('click', function() {
        alert('Starting trading...');
        // Add start trading logic here
    });

    document.getElementById('stopButton').addEventListener('click', function() {
        alert('Stopping trading...');
        // Add stop trading logic here
    });
});
